		local SkyRotation = 0
		local SkyMat = GetConVarString("Acid_Sky_Mat_3D")
		local CubemapMats = { Material(SkyMat .. "ft"), Material(SkyMat .. "rt"), Material(SkyMat .. "bk"), Material(SkyMat .. "lf"), Material(SkyMat .. "up"), Material(SkyMat .. "dn"), }
		local size = 16
		local Acid01 = Vector(1, 0, 0)
		local Acid02 = Vector(-1, 0, 0)
		local Acid03 = Vector(0, -1, 0)
		local Acid04 = Vector(0, 1, 0)
		local Acid05 = Vector(0, 0, -1)
		local Acid06 = Vector(0, 0, 1)

	local Skybox = CreateClientConVar("Acid_Sky_3D", "1", true, false)
	local SkyBoxMat = CreateClientConVar("Acid_Sky_Mat_3D", "skybox/sky_fog", true, false)

		// Draw the nightsky
		hook.Add("PostDraw2DSkyBox", "Sky_Custom", function()
			if Skybox:GetBool() then 
				render.Clear(0, 0, 0, 0)

				SkyRotation = SkyRotation + 1 * FrameTime()

				local mat = Matrix()
				mat:SetAngles(Angle(0, SkyRotation, 0))
				mat:SetTranslation(EyePos())

				cam.Start3D(EyePos(), RenderAngles())
					cam.PushModelMatrix(mat)

					render.OverrideDepthEnable(false, true)

					render.SetMaterial(CubemapMats[1])
					render.DrawQuadEasy(Acid01 * size, Acid02, size * 2, size * 2, color_white, 180)

					render.SetMaterial(CubemapMats[4])
					render.DrawQuadEasy(Acid03 * size, Acid04, size * 2, size * 2, color_white, 180)

					render.SetMaterial(CubemapMats[3])
					render.DrawQuadEasy(Acid02 * size, Acid01, size * 2, size * 2, color_white, 180)

					render.SetMaterial(CubemapMats[2])
					render.DrawQuadEasy(Acid04 * size, Acid03, size * 2, size * 2, color_white, 180)

					render.SetMaterial(CubemapMats[5])
					render.DrawQuadEasy(Acid06 * size, Acid05, size * 2, size * 2, color_white, 270)

					render.SetMaterial(CubemapMats[6])
					render.DrawQuadEasy(Acid05 * size, Acid06, size * 2, size * 2, color_white, 90)

					render.OverrideDepthEnable(false, false)

					cam.PopModelMatrix()
				cam.End3D()
			end
		end)
	
